Bug 524787 - cannot compile kernel with CONFIG_ACPI_DEBUG=y
Summary: cannot compile kernel with CONFIG_ACPI_DEBUG=y
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Stefan Assmann
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
: 526318 (view as bug list)
Depends On:
Blocks: 526775
TreeView+ depends on / blocked
 
Reported: 2009-09-22 07:59 UTC by Stefan Assmann
Modified: 2018-10-27 14:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 07:46:10 UTC


Attachments (Terms of Use)
ACPI_DEBUG-fix (612 bytes, patch)
2009-09-23 05:52 UTC, Stefan Assmann
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Stefan Assmann 2009-09-22 07:59:00 UTC
Description of problem:
When I tried to compile a kernel with CONFIG_ACPI_DEBUG=y enabled in .config the following error occurs while compiling

  CC      drivers/acpi/processor_perflib.o
drivers/acpi/processor_perflib.c: In function ‘acpi_processor_get_psd’:
drivers/acpi/processor_perflib.c:622: error: expected ‘)’ before string constant
drivers/acpi/processor_perflib.c:622: error: too few arguments to function ‘acpi_ut_debug_print’
make[2]: *** [drivers/acpi/processor_perflib.o] Error 1
make[1]: *** [drivers/acpi] Error 2
make: *** [drivers] Error 2

How reproducible:
always

Steps to Reproduce:
1. cp configs/kernel-2.6.18-x86_64.config .config
2. enable CONFIG_ACPI_DEBUG in .config
3. make
  
Actual results:
compile error

Expected results:
compile without error

Comment 1 Stefan Assmann 2009-09-23 05:52:53 UTC
Created attachment 362170 [details]
ACPI_DEBUG-fix

fix a typo that prevents compilation

Comment 3 RHEL Product and Program Management 2009-10-01 17:09:26 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Don Zickus 2009-10-06 19:39:29 UTC
in kernel-2.6.18-168.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 6 Prarit Bhargava 2009-10-07 13:16:07 UTC
*** Bug 526318 has been marked as a duplicate of this bug. ***

Comment 7 Issue Tracker 2009-11-09 19:57:31 UTC
Event posted on 11-09-2009 02:57pm EST by gcase

Sun has verified that the fix is present in the test kernel. I'll set the
appropriate flags on the Issue Tracker ticket to reflect their positive
test results.

Internal Status set to 'Waiting on Engineering'
Status set to: Next Update
Resolution set to: 'RHEL 5.5'

This event sent from IssueTracker by gcase 
 issue 348452

Comment 8 Chris Ward 2010-02-11 10:08:00 UTC
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.

Comment 9 Mike Gahagan 2010-03-12 20:50:41 UTC
Confirmed the -192 kernel builds without issue with CONFIG_ACPI_DEBUG=y

Comment 11 errata-xmlrpc 2010-03-30 07:46:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.